
/*Universal selector*/
* {
	/*margin: 0;
	padding: 0;*/
	box-sizing: border-box;
	/*font-family: 'Lobster', cursive;*/

}

/*change the color of h1 element to brow using TYPE
 selector*/
h1 {
	color: brown;
}

/*Change the color of h1 element to pink and fornt-size
to 20 pixels using ID selector*/
#title-1 {
	color: pink;
	font-size: 20px;
}

/*Change the color of h2 element to blue and transform
 the text to uppercase using CLASS selector*/
 h2 {
 	color: blue;
 	text-transform: uppercase;
 }

 .title-2 {
 	color: teal;
 	text-transform: capitalize;
 }

 /*Change the bgcolor to orange of input fields with
 an attribute of type=text to orange using Attribute 
 selector*/

 [type="text"] {
 	background-color: orange;
 }

 /*Change the background of the whole web page to
 color lightblue*/

 body {
 	background-color: lightblue;
 }

 /*change the font family of the whole web page to 
 'Lobster' cursive*/


/*Combinator Selector*/

/*1. Descendant Selector (white space)
		-selects/targets "all elements" thath matches
		specified element (regardless if children/
		grandchildren elements)

		Syntax:

		first_Element child_element{
		property: value;
		}
*/
/*div p{
	background-color: red;
	}
*/
/*#parent p {
	background-color: chocolate;
}*/

/*div section p {
	background-color: chocolate;
}*/

/*2. Child selector (>)
		-selcts/targets "all elements" that are 
		"children" of a specified element

		first_Element child_Element {
			property: value;
		}
*/
/*div > p {
	background-color: chocolate;
}*/

/*3. Adjacent "Sibling" Selector (+)
			-select/targets and element that is 
			directly after(katabi) the first selector

			syntax:

			first_Element + sibling_Element {
				property: value;
			}
*/
/*p + p {
	background-color: choloclate;
}*/

/*div + p {
	background-color: chocolate;
}*/

/*4. Genaral Sibling Selector (~)
			- select/targets all "elements" that are 
			"siblings" of a specific element

			syntax:

			first_Element ~ sibling_Element {
				property: value;
			}
*/
p ~ p {
	background-color: choloclate;
}